Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class AbstractPropagation

[frames] | no frames]

# Class AbstractPropagation

source code

    object --+
             |
            AbstractPropagation

Known Subclasses:
  - AbstractMCPropagation
  - , AbstractMDPropagation

Describes an abstract system propagation

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__call__(self, state) Performs the propagation of a state in the specified system | source code

__init__(self, sys, param, evaluate_heat=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_calculate_heat``'``,` `'``_propagat``...``

Properties
| evaluate_heat
| param
| sys
Inherited from `object`: `__class__`

Method Details

### __call__(self, state)
(Call operator)

source code

Performs the propagation of a state in the specified system

Parameters:
  - `state` (State) - system state

### __init__(self, sys, param, evaluate_heat=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sys` (AbstractSystemInfo) - information about the current system setup
  - `param` (AbstractPropagationParam) - parameters neccessary for propagating the system
  - `evaluate_heat` (boolean) - Allows to switch off the heat evaluation, which might not always be needed, in order to save computation time.
Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### __abstractmethods__

Value:

      frozenset(['_calculate_heat',
                 '_propagator_factory',
                 '_run_propagator'])

Property Details

### evaluate_heat

Get Method:
  unreachable.evaluate_heat(self)
Set Method:
  unreachable.evaluate_heat(self, value)

### param

Get Method:
  unreachable.param(self)
Set Method:
  unreachable.param(self, value)

### sys

Get Method:
  unreachable.sys(self)
Set Method:
  unreachable.sys(self, value)